{ fetchurl }:

# from util/crossgcc/buildgcc
[
  (rec {
    version = "6.1.2";
    name = "gmp-${version}.tar.xz";
    archive = fetchurl {
      sha256 = "04hrwahdxyqdik559604r7wrj9ffklwvipgfxgj4ys4skbl6bdc7";
      url = "mirror://gnu/gmp/${name}";
    };
  })

  (rec {
    version = "4.0.2";
    name = "mpfr-${version}.tar.xz";
    archive = fetchurl {
      sha256 = "12m3amcavhpqygc499s3fzqlb8f2j2rr7fkqsm10xbjfc04fffqx";
      url = "mirror://gnu/mpfr/${name}";
    };
  })

  (rec {
    version = "1.1.0";
    name = "mpc-${version}.tar.gz";
    archive = fetchurl {
      sha256 = "0biwnhjm3rx3hc0rfpvyniky4lpzsvdcwhmcn7f0h4iw2hwcb1b9";
      url = "mirror://gnu/mpc/${name}";
    };
  })

  (rec {
    version = "8.3.0";
    name = "gcc-${version}.tar.xz";
    archive = fetchurl {
      sha256 = "0b3xv411xhlnjmin2979nxcbnidgvzqdf4nbhix99x60dkzavfk4";
      url = "mirror://gnu/gcc/${name}";
    };
  })

  (rec {
    version = "2.33.1";
    name = "binutils-${version}.tar.xz";
    archive = fetchurl {
      sha256 = "1grcf8jaw3i0bk6f9xfzxw3qfgmn6fgkr108isdkbh1y3hnzqrmb";
      url = "mirror://gnu/binutils/${name}";
    };
  })

  (rec {
    version = "20200110";
    name = "acpica-unix2-${version}.tar.gz";
    archive = fetchurl {
      sha256 = "1hb4g6r7w8s4bhlkk36fmb4qxghnrwvad7f18cpn6zz0b4sjs7za";
      url = "https://acpica.org/sites/acpica/files/${name}";
    };
  })

  (rec {
    version = "2.14.02";
    name = "nasm-${version}.tar.bz2";
    archive = fetchurl {
      sha256 = "1g409sr1kj7v1089s9kv0i4azvddkcwcypnbakfryyi71b3jdz9l";
      url = "https://www.nasm.us/pub/nasm/releasebuilds/${version}/${name}";
    };
  })
]
